| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Functions
ANT channel state indicator
ANT utilities

ANT channel state indicator module. More...

## Modules
| ANT state indicator using BSP configuration

## Functions
void | ant_state_indicator_init (uint8_t channel, uint8_t channel_type)
| Function for initializing the ANT channel state indicator. More...
void | ant_state_indicator_evt_handler (ant_evt_t *p_ant_evt)
| Function for handling ANT events. More...
uint32_t | ant_state_indicator_channel_opened (void)
| Function for indicating the channel opening. More...
void | ant_state_indicator_sleep_mode_enter (void)
| Function for putting the chip into sleep mode. More...

## Detailed Description

ANT channel state indicator module.

This module provides functionality for indicating the ANT channel state.

## Function Documentation

uint32_t ant_state_indicator_channel_opened | ( | void |  | ) |

Function for indicating the channel opening.

This function should be called after the opening of the channel.

Return values

  NRF_SUCCESS | If the state was successfully indicated.
  NRF_ERROR_NO_MEM | If the internal timer operations queue was full.
  NRF_ERROR_INVALID_STATE | If the application timer module has not been initialized or the internal timer has not been created.

void ant_state_indicator_evt_handler | ( | ant_evt_t * | p_ant_evt | ) |

Function for handling ANT events.

This function handles all events from the ANT stack that are of interest to the channel state indicator. This function should always be called when an ANT event occurs.

Parameters

  [in] | p_ant_evt | Event received from the ANT stack.

void ant_state_indicator_init | ( | uint8_t | channel,
|  | uint8_t | channel_type
| ) |  |

Function for initializing the ANT channel state indicator.

This function links the signaling procedure with a specific ANT channel.

Before calling this function, you must initiate the Board Support Package (BSP) to be able to use the LEDs.

Parameters

  [in] | channel | ANT channel number.
  [in] | channel_type | ANT channel type (see Assign Channel Parameters in ant_parameters.h: ANT Stack Parameters).

void ant_state_indicator_sleep_mode_enter | ( | void |  | ) |

Function for putting the chip into sleep mode.

This function sets up a wakeup button and puts the chip into deep sleep mode.

Note
  This function will not return.